// $Id$
// file: wazala_admin.js
// eye catching web 2.0 stuff for the Wazala admin page

// new Druapl 7 jQuery wrapper:
(function ($) {

// an after-the-DOM is loaded wrapper:
// $(function() {  <- this is the traditional jquery after-the-DOM style,
// while below is the preferred Drupal method:
Drupal.behaviors.wazalaAdmin = {

  attach: function( context, settings ) {
  
      // this examines the Wazala widget Type (embed or overlay) and makes the
      // overlay fieldset visible or not based upon overlay being selected:
      var wazalaWidgetTypeHandler = function() {
    
            // is this an overlay or embed?
            var nature = $('div.form-item-wazala-type select#edit-wazala-type', context).val();

            // is the overlay fieldset visible? 
            var visibility = $('div#wazala-admin-overlay-fieldset', context).css('display');
  
            // open or close the field set based upon our overlay or embed nature:
            if (nature === 'overlay') {
               if (visibility === 'none') {
                  $('div#wazala-admin-overlay-fieldset', context).fadeIn('fast');
                  wazalaOverlayLabelHandler();
               }
            }
            else if (nature === 'embed') {
               if (visibility !== 'none') {
                  $('div#wazala-admin-overlay-fieldset', context).fadeOut('fast');
               }
            }

      }

  
      // attach a callback to the Type widget to show/hide when Type changes:
      $('select#edit-wazala-type', context).change(wazalaWidgetTypeHandler);
  
  
      // this examines the overlay label and makes the custom widget label
      // visible based upon custom being selected:
      var wazalaOverlayLabelHandler = function() {
        
            // is custom selected?
            var labelType = $('select#edit-wazala-label', context).val();
            // is the customLabel widget visible?
            var visibility = $('div.form-item-wazala-customLabel', context).css('display');
            
            if (labelType === 'Custom') {
               if (visibility === 'none') {
                    $('div.form-item-wazala-customLabel', context).fadeIn('fast');
               }
            }
            else if (visibility !== 'none') {
               $('div.form-item-wazala-customLabel', context).fadeOut('fast');
            }
      }

  
      // attach a callback to the overlay custom label widget to show/hide when label changes:
      $('select#edit-wazala-label', context).change(wazalaOverlayLabelHandler);
  
      // run logic once upon page load:
      wazalaWidgetTypeHandler();
      wazalaOverlayLabelHandler();
      
  } // end of our attach handler
  
}; // end of our module's javascript handlers

})(jQuery);  // end of new Drupl 7 jQuery wrapper

